Edgewall Software

Changes between Version 17 and Version 18 of TracDev/ApiChanges/1.3


Ignore:
Timestamp:
Aug 6, 2016, 1:44:26 AM (5 years ago)
Author:
Ryan J Ollos
Comment:

Add placeholder for Ubuntu 16.04.

Legend:

Unmodified
Added
Removed
Modified
  • TracDev/ApiChanges/1.3

    v17 v18  
    7171The supported dependencies were determined by aiming to be compatible with the versions provided by the package managers on the following distros.
    7272
    73 || **Package** || **Ubuntu 14.04** || **Debian 8** || Debian 7.8 || **CentOS 7.2.1511** || CentOS 6.6 || **openSUSE 42.1** ||
    74 || Python      || 2.7.5            || 2.7.9        || 2.7.3      || 2.7.5               || 2.6.6      || 2.7.9             ||
    75 || Python3     || 3.4.0            || 3.4.2        || 3.2.3      || n/a                 || n/a        || 3.4.1             ||
    76 || Babel       || 1.3              || 1.3          || 0.9.6      || 0.9.6               || 0.9.4      || 1.3               ||
    77 || Genshi      || 0.7              || 0.7          || 0.6        || n/a                 || n/a        || 0.7               ||
    78 || SQLite      || 3.8.2            || 3.8.7        || 3.7.13     || 3.7.17              || 3.6.20     || 3.8.10.2          ||
    79 || PostgreSQL  || 9.3.6            || 9.4.1        || 9.1.15     || 9.2.15              || 8.4.20     || 9.4, 9.3.11, 9.4.6 ||
    80 || MySQL       || 5.5.41, 5.6.19   || 5.5.42       || 5.5.41     || n/a                 || 5.1.73     || 5.6.30            ||
    81 || MariaDB     || 5.5.41           || 10.0.16      || n/a        || 5.5.47              || n/a        || 10.0.22           ||
    82 || psycopg2    || 2.4.5            || 2.5.4        || 2.4.5      || 2.5.1               || 2.0.14     || 2.6               ||
    83 || MySQLdb     || 1.2.3            || 1.2.3        || 1.2.3      || 1.2.3               || 1.2.3      || 1.2.5             ||
    84 || SetupTools  || 3.3.1            || 5.5.1        || 0.6.24     || 0.9.8               || 0.6.10     || 18.0.1            ||
    85 || Git         || 1.9.1            || 2.1.4        || 1.7.10     || 1.8.3.1             || 1.7.1      || 2.6.6             ||
    86 || Subversion  || 1.8.8            || 1.8.10       || 1.6.17     || 1.7.14              || 1.6.11     || 1.8.10            ||
    87 || !DocUtils   || 0.11             || 0.12         || 0.8.1      || 0.11                || 0.6        || 0.11              ||
    88 || Textile     || 2.1.5            || 2.1.5        || 2.1.5      || n/a                 || n/a        || n/a               ||
    89 || Pygments    || 1.6              || 2.0.1        || 1.5        || 1.4                 || 1.1.1      || 1.6               ||
    90 || Apache      || 2.4.7            || 2.4.10       || 2.2.22     || 2.4.6               || 2.2.15     || 2.4.16            ||
    91 || mod_wsgi    || 3.4              || 4.3.0        || 3.3        || 3.4                 || 3.2        || 4.4.8             ||
    92 || mod_python  || 3.3.1            || 3.3.1        || 3.3.1      || n/a                 || n/a        || 3.5.0             ||
    93 || Nginx       || 1.4.6            || 1.6.2        || 1.2.1      || n/a                 || n/a        || 1.8.1             ||
     73|| **Package** || **Ubuntu 16.04** || Ubuntu 14.04 || **Debian 8** || Debian 7.8 || **CentOS 7.2.1511** || CentOS 6.6 || **openSUSE 42.1** ||
     74|| Python      || || 2.7.5            || 2.7.9        || 2.7.3      || 2.7.5               || 2.6.6      || 2.7.9             ||
     75|| Python3     || || 3.4.0            || 3.4.2        || 3.2.3      || n/a                 || n/a        || 3.4.1             ||
     76|| Babel       || || 1.3              || 1.3          || 0.9.6      || 0.9.6               || 0.9.4      || 1.3               ||
     77|| Genshi      || || 0.7              || 0.7          || 0.6        || n/a                 || n/a        || 0.7               ||
     78|| SQLite      || || 3.8.2            || 3.8.7        || 3.7.13     || 3.7.17              || 3.6.20     || 3.8.10.2          ||
     79|| PostgreSQL  || || 9.3.6            || 9.4.1        || 9.1.15     || 9.2.15              || 8.4.20     || 9.4, 9.3.11, 9.4.6 ||
     80|| MySQL       || || 5.5.41, 5.6.19   || 5.5.42       || 5.5.41     || n/a                 || 5.1.73     || 5.6.30            ||
     81|| MariaDB     || || 5.5.41           || 10.0.16      || n/a        || 5.5.47              || n/a        || 10.0.22           ||
     82|| psycopg2    || || 2.4.5            || 2.5.4        || 2.4.5      || 2.5.1               || 2.0.14     || 2.6               ||
     83|| MySQLdb     || || 1.2.3            || 1.2.3        || 1.2.3      || 1.2.3               || 1.2.3      || 1.2.5             ||
     84|| SetupTools  || || 3.3.1            || 5.5.1        || 0.6.24     || 0.9.8               || 0.6.10     || 18.0.1            ||
     85|| Git         || || 1.9.1            || 2.1.4        || 1.7.10     || 1.8.3.1             || 1.7.1      || 2.6.6             ||
     86|| Subversion  || || 1.8.8            || 1.8.10       || 1.6.17     || 1.7.14              || 1.6.11     || 1.8.10            ||
     87|| !DocUtils   || || 0.11             || 0.12         || 0.8.1      || 0.11                || 0.6        || 0.11              ||
     88|| Textile     || || 2.1.5            || 2.1.5        || 2.1.5      || n/a                 || n/a        || n/a               ||
     89|| Pygments    || || 1.6              || 2.0.1        || 1.5        || 1.4                 || 1.1.1      || 1.6               ||
     90|| Apache      || || 2.4.7            || 2.4.10       || 2.2.22     || 2.4.6               || 2.2.15     || 2.4.16            ||
     91|| mod_wsgi    || || 3.4              || 4.3.0        || 3.3        || 3.4                 || 3.2        || 4.4.8             ||
     92|| mod_python  || || 3.3.1            || 3.3.1        || 3.3.1      || n/a                 || n/a        || 3.5.0             ||
     93|| Nginx       || || 1.4.6            || 1.6.2        || 1.2.1      || n/a                 || n/a        || 1.8.1             ||
    9494
    9595=== Deprecated Modules Removed